#
# In order to active the metrics listener it needs to be configured as an eventslistner in Keycloak on every realm.
# The metrics events listener was added in extra_deployments as keycloak-metrics-spi from aerogear. 
# 

- name: Get Keycloak admin password
  k8s_secret_info:
    name: keycloak-http
    namespace: "{{ config.keycloak.namespace }}"
  register: keycloak_secret
  no_log: "{{ config.system.hide_secrets_from_log }}"

- name: Get keycloak API access token
  uri:
    url: https://{{ config.keycloak.fqdn }}/auth/realms/master/protocol/openid-connect/token
    method: POST
    validate_certs: "{{ config.system.validate_certs }}"
    body_format: form-urlencoded
    body:
      grant_type: password
      client_id: admin-cli
      username: "{{ keycloak_secret['username'] }}"
      password: "{{ keycloak_secret['password'] }}"
  register: keycloak_tokens
  no_log: "{{ config.system.hide_secrets_from_log }}"

- name: Configure metrics listener in realms 
  include_tasks: add_metrics_listener.yml
  vars: 
    realm: "{{ item }}"
  loop:
    - 'master'
    - "{{ config.keycloak.realm }}"